zstyle ':zim' disable-version-check yes
# set paths
zstyle ':zim:completion' dumpfile ${cachedir}/compdump
zstyle ':completion::complete:*' cache-path ${cachedir}/compcache

zstyle ':completion:*' use-compctl on

# ignore parameters private to various plugins (especially POWERLEVEL clutters the completion to unbearable level)
zstyle ':completion:*:*:-parameter-:*:*' ignored-patterns '_*|POWERLEVEL*|P9K*|FAST*|GITSTATUS*'

HISTFILE=${datadir}/history
ZSHZ_DATA=${datadir}/z

## History command configuration -- stolen from oh-my-zsh
setopt extended_history       # record timestamp of command in HISTFILE
setopt hist_expire_dups_first # delete duplicates first when HISTFILE size exceeds HISTSIZE
setopt hist_ignore_dups       # ignore duplicated commands history list
setopt hist_ignore_space      # ignore commands that start with space
setopt hist_verify            # show command with history expansion to user before running it
setopt share_history          # share command history data
HISTSIZE=50000
SAVEHIST=10000

setopt automenu
